PDA

View Full Version : [Question(s)] NXT package install error



klevison
11-12-2015, 10:59 AM
Hello everybody!

I have to do a NXT segway for one discipline in my university and we are using ROS.
I'm already install ros electric and complete the tutorials. Now I'm starting NXT tutorials.
But I failed on install nxt package. Following the tutorial, until the command **sudo apt-get update**, everything goes ok.
When the command **sudo apt-get install ros-electric-nxtall** is set, they return that ros-electric-nxtall can't find the dependences ros-electric-nxt-apps and ros-electric-joystick-drivers, but they will not install these dependences. What can I do for solve this?
Thanks!


Tutorials link: http://wiki.ros.org/Robots/NXT/electric

KevinO
11-12-2015, 01:02 PM
ROS Electric end of life was I believe back in 2012. It doesn't appear it was maintained for future releases. I'd go to the source and see if you can build manually. https://github.com/maxsieber/nxt_ros_catkin